Bug 755343 - [RFE] Plese update v4l to a more recent version for MythTV
Summary: [RFE] Plese update v4l to a more recent version for MythTV
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libv4l
Version: 6.3
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 6.3
Assignee: Hans de Goede
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-20 19:58 UTC by Richard Shaw
Modified: 2017-12-06 11:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 11:38:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Richard Shaw 2011-11-20 19:58:27 UTC
Description of problem:
Would it be possible to update to a more recent version of v4l to support MythTV? 

I'm working on getting all the remaining requirements to package MythTV for EL6.

Thanks,
Richard

Comment 1 Ken Dreyer 2011-12-03 01:42:38 UTC
Mauro: ping :)

Comment 2 Richard Shaw 2011-12-27 17:23:44 UTC
I just checked koji and it looks like Mauro built a 0.9.0 pre-release.

When I originally tried to build transcode for EL6 it was pulling in v4l 0.6.3. I think 0.8.3 would have been more than recent enough.

It looks like there's some sort of conflict? I assume that means that EL6 has it's own version of v4l that we have to work around?

This is giving me problems because building transcode fails looking for libv4l1-videodev.h which is not provided by this new package (and apparently not by the old version of v4l in EL6 either).

Comment 3 Mauro Carvalho Chehab 2011-12-28 11:37:29 UTC
Richard,

What are you meaning by upgrading "v4l" to a more recent version? There are 3 components there:

1) the V4L kernel drivers;

2) the libv4l package shipped with RHEL;

3) the v4l-utils shipped with EPEL.

In order to avoid package conflicts between EPEL and RHEL repositories, I've compiled the v4l-utils using static libraries, with a 0.9.0 pre-release (the first pre-release that allows compiling v4l-utils without the dynamic libraries).

I think that what you want is (2), right?

I'm not maintaining (2). Also, upgrading libv4l to a more recent version would require QA tests for all packages that are dependent on that libraries.

Anyway, if what you want is (2), you'll need to change the RFE, in order to point it to RHEL6 and libv4l package, in order to forward it to the proper maintainer.

Comment 4 Richard Shaw 2011-12-28 13:55:39 UTC
Yeah, I think I need #2. I knew there were kernel drivers separate from the package but wasn't aware there was another "split".

I think I'll go ahead and move the bug to RHEL6 but I doubt it will go anywhere.

Thanks,
Richard

Comment 6 Hans de Goede 2011-12-29 08:49:15 UTC
I think that upgrading libv4l for RHEL-6 is a good idea, there are more important reasons besides helping mythtv,

A newer libv4l will bring in some small bug fixes and performance improvements (which may be important for video conferencing).

The most important reason to upgrade libv4l is hardware compatibility. libv4l contains a list of laptops with upside down webcams which gets updated very regularly. Without an up2date version of this list the image from the webcam will be upside down on many recent laptop models.

Newer libv4l versions are widely used in all major Linux distributions, and despite this get very little bugs reported against them, so I believe they are quite stable and a safe update.

Comment 8 Suzanne Yeghiayan 2012-01-31 21:16:37 UTC
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.

Comment 9 Richard Shaw 2012-02-27 14:48:46 UTC
Hans,

Should we go ahead and close this bug or will RH close it if they upgrade v4l on the next release?

Comment 10 Hans de Goede 2012-02-27 18:52:53 UTC
Hi Richard,

(In reply to comment #9)
> Hans,
> 
> Should we go ahead and close this bug or will RH close it if they upgrade v4l
> on the next release?

Suzanne's commment #9 is a standard comment for bugs which RH was unable to address for the first upcoming release. The standard procedure is to leave it open so that it can be re-evaluated for inclusion into the next release.

Regards,

Hans

Comment 11 RHEL Program Management 2012-07-10 08:36:30 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 12 RHEL Program Management 2012-07-10 23:51:00 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 13 Hans de Goede 2012-07-23 08:54:41 UTC
I still believe that upgrading libv4l to the latest stable bugfix release from upstream is a good idea, for the same reasons I outlined in comment #6. Adding devel-ack.

Comment 14 RHEL Program Management 2013-10-14 00:54:16 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 15 Jan Kurik 2017-12-06 11:38:05 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.